get
https://{subdomain}.kommo.com/api/v4/account
The method allows getting the account information.
Limitations
The method is available for all account users.
“with” Parameters
| Parameter | Description |
|---|---|
amojo_id | Adds the account ID in the online chat service to the response |
amojo_rights | Adds in response information about the availability of the functionality for creating group and using direct chats by users |
users_groups | Adds information about the available groups of account users to the response |
task_types | Adds to the response information about the available types of tasks in the account |
version | Adds information about the current version of Kommo to the response |
entity_names | Adds entity names to the response with their translations and number forms |
datetime_settings | Adds to the response information about the current settings of the account’s date and time formats |
drive_url | Adds the file service address for the requested account |
Data type header when the request is successful
Content-Type: application/hal+json
Data type header in case of an error
Content-Type: application/problem+json
Response parameters
| Parameter | Data type | Description |
|---|---|---|
id | int | Account ID |
name | string | Account name |
subdomain | string | Account subdomain |
language | string | Account language |
current_user_id | int | Current user ID |
country | string | Country specified in the account settings |
currency | string | Currency specified in the account settings |
currency_symbol | string | Currency symbol |
is_unsorted_on | bool | Defines if the Incoming leads functionality is enabled |
is_loss_reason_enabled | bool | Defines if the Reason for close-lost leads functionality is enabled |
is_helpbot_enabled | bool | Defines if the AI power-up functionality is enabled (available only on the Enterprise subscription plan) |
is_technical_account | bool | Defines if the account is technical |
contact_name_display_order | int | Defines the order of the contact’s name (1 – First Name, Last Name; 2 – Last Name, First Name). |
amojo_id | string | GET parameter ?with=amojo_id is required. Unique account ID in the amojo chat service |
version | int | GET parameter ?with=version is required. Current Kommo version |
drive_url | string | GET parameter ?with=drive_url is required. The file service address for a specific account. |
_embedded[amojo_rights] | obj | GET parameter ?with=amojo_rights is required. Account chats settings object |
_embedded[amojo_rights][can_direct] | obj | Defines if internal chats are available |
_embedded[amojo_rights][can_create_groups] | obj | Defines if group chats are available |
_embedded[users_groups] | array | GET parameter ?with=users_groups is required. Array of the Kommo user groups objects |
_embedded[users_groups][0][id] | int | User group ID |
_embedded[users_groups][0][name] | string | User group name |
_embedded[task_types] | array | GET parameter ?with=task_types is required. Task types of the account |
_embedded[task_types][0][id] | int | Task type ID |
_embedded[task_types][0][name] | string | Task type name |
_embedded[task_types][0][color] | string | Task type color |
_embedded[task_types][0][icon_id] | int | Task type icon ID |
_embedded[task_types][0][code] | string | Task type code |
_embedded[datetime_settings] | obj | GET parameter ?with=datetime_settings is required. Date and time settings and format in the account |
_embedded[entity_names] | obj | GET parameter ?with=entity_names is required. Entities names settings |
